org.apache.uima.resource.metadata.impl

## Class ConfigurationParameterSettings_impl

- java.lang.Object
- - org.apache.uima.resource.metadata.impl.MetaDataObject_impl
  - - org.apache.uima.resource.metadata.impl.ConfigurationParameterSettings_impl

- All Implemented Interfaces:
    Serializable, Cloneable, ConfigurationParameterSettings, MetaDataObject, XMLizable

      public class ConfigurationParameterSettings_impl
      extends MetaDataObject_impl
      implements ConfigurationParameterSettings

  Reference implementation of `ConfigurationParameterSettings`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

  - ### Field Summary

    - ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `serialContext`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigurationParameterSettings_impl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `buildFromXMLElement(Element aElement, XMLParser aParser, XMLParser.ParsingOptions aOptions)` Overridden becuase of settingsForGroups property, which is a Map and isn't handled by default XMLization routines.
    `List<MetaDataObject_impl.MetaDataAttr>` | `getAdditionalAttributes()` Override this method to include additional attributes
    `NameValuePair[]` | `getParameterSettings()` Gets the settings for configuration parameters that are not in any group.
    `Object` | `getParameterValue(String aParamName)` Looks up the value of a parameter.
    `Object` | `getParameterValue(String aGroupName, String aParamName)` Looks up the value of a parameter in a group.
    `Map<String,NameValuePair[]>` | `getSettingsForGroups()` Gets the settings for configuration parameters that are defined within groups.
    `protected XmlizationInfo` | `getXmlizationInfo()` To be implemented by subclasses to return information describing how to represent this object in XML.
    `List<NameClassPair>` | `listAttributes()` Deprecated. - use getAdditionalAttributes instead
    `void` | `setParameterSettings(NameValuePair[] aSettings)` Sets the settings for configuration parameters that are not in any group.
    `void` | `setParameterValue(String aParamName, Object aValue)` Sets the value of a parameter.
    `void` | `setParameterValue(String aGroupName, String aParamName, Object aValue)` Sets the value of a parameter in a group.
    `protected void` | `writePropertyAsElement(PropertyXmlInfo aPropInfo, String aNamespace)` Overridden to write the settingsForGroups property, whose value is a Map, which is not supported by the default XMLization routines.

    - ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

      `buildFromXMLElement, clone, equals, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

      `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, setAttributeValue, setSourceUrl`

    - ### Methods inherited from interface org.apache.uima.util.XMLizable

      `buildFromXMLElement, toXML, toXML, toXML, toXML`

- - ### Constructor Detail

    - #### ConfigurationParameterSettings_impl

          public ConfigurationParameterSettings_impl()

  - ### Method Detail

    - #### getParameterSettings

          public NameValuePair[] getParameterSettings()

      Description copied from interface: `ConfigurationParameterSettings`
      Gets the settings for configuration parameters that are not in any group.
      Specified by:
        `getParameterSettings` in interface `ConfigurationParameterSettings`
      Returns:
        an array of `NameValuePair` objects, each of which contains a parameter name and the value of that parameter
      See Also:
        `ConfigurationParameterSettings.getParameterSettings()`

    - #### setParameterSettings

          public void setParameterSettings(NameValuePair[] aSettings)

      Description copied from interface: `ConfigurationParameterSettings`
      Sets the settings for configuration parameters that are not in any group.
      Specified by:
        `setParameterSettings` in interface `ConfigurationParameterSettings`
      Parameters:
        `aSettings` - an array of `NameValuePair` objects, each of which contains a parameter name and the value of that parameter
      See Also:
        `ConfigurationParameterSettings.setParameterSettings(NameValuePair[])`

    - #### getSettingsForGroups

          public Map<String,NameValuePair[]> getSettingsForGroups()

      Description copied from interface: `ConfigurationParameterSettings`
      Gets the settings for configuration parameters that are defined within groups.
      Specified by:
        `getSettingsForGroups` in interface `ConfigurationParameterSettings`
      Returns:
        a Map with `String` keys (the group names) and `NameValuePair`[] values (the settings for parameters in that group.
      See Also:
        `ConfigurationParameterSettings.getSettingsForGroups()`

    - #### getParameterValue

          public Object getParameterValue(String aParamName)

      Description copied from interface: `ConfigurationParameterSettings`
      Looks up the value of a parameter. This is a "dumb" getter and does not follow any fallback strategies. It will only return the value of a parameter that is not defined in any group.
      Specified by:
        `getParameterValue` in interface `ConfigurationParameterSettings`
      Parameters:
        `aParamName` - the name of a parameter that is not in any group
      Returns:
        the value of the parameter with name `aParamName`
      See Also:
        `ConfigurationParameterSettings.getParameterValue(String)`

    - #### getParameterValue

          public Object getParameterValue(String aGroupName,
                                          String aParamName)

      Description copied from interface: `ConfigurationParameterSettings`
      Looks up the value of a parameter in a group. This is a "dumb" getter and does not follow any fallback strategies.
      Specified by:
        `getParameterValue` in interface `ConfigurationParameterSettings`
      Parameters:
        `aGroupName` - the name of a configuration group. If this parameter is `null`, this method will return the same value as `ConfigurationParameterSettings.getParameterValue(String)`.
        `aParamName` - the name of a parameter in the group
      Returns:
        the value of the parameter in group `aGroupName` with name `aParamName`
      See Also:
        `ConfigurationParameterSettings.getParameterValue(java.lang.String, java.lang.String)`

    - #### setParameterValue

          public void setParameterValue(String aParamName,
                                        Object aValue)

      Description copied from interface: `ConfigurationParameterSettings`
      Sets the value of a parameter. This only works for a parameter that is not defined in any group.
      Specified by:
        `setParameterValue` in interface `ConfigurationParameterSettings`
      Parameters:
        `aParamName` - the name of a parameter that is not in any group
        `aValue` - the value to assign to the parameter
      See Also:
        `ConfigurationParameterSettings.setParameterValue(java.lang.String, java.lang.Object)`

    - #### setParameterValue

          public void setParameterValue(String aGroupName,
                                        String aParamName,
                                        Object aValue)

      Description copied from interface: `ConfigurationParameterSettings`
      Sets the value of a parameter in a group.
      Specified by:
        `setParameterValue` in interface `ConfigurationParameterSettings`
      Parameters:
        `aGroupName` - the name of a configuration group
        `aParamName` - the name of a parameter in the group
        `aValue` - the value to assign to the parameter
      See Also:
        `ConfigurationParameterSettings.setParameterValue(java.lang.String, java.lang.String, java.lang.Object)`

    - #### getXmlizationInfo

          protected XmlizationInfo getXmlizationInfo()

      Description copied from class: `MetaDataObject_impl`
      To be implemented by subclasses to return information describing how to represent this object in XML.
      Specified by:
        `getXmlizationInfo` in class `MetaDataObject_impl`
      Returns:
        information defining this object's XML representation
      See Also:
        `MetaDataObject_impl.getXmlizationInfo()`

    - #### getAdditionalAttributes

          public List<MetaDataObject_impl.MetaDataAttr> getAdditionalAttributes()

      Description copied from class: `MetaDataObject_impl`
      Override this method to include additional attributes
      Overrides:
        `getAdditionalAttributes` in class `MetaDataObject_impl`
      Returns:
        additional attributes

    - #### listAttributes

          @Deprecated
          public List<NameClassPair> listAttributes()

      Deprecated. - use getAdditionalAttributes instead
      Overridden to add the settingsForGroups property to the result list. Default introspection implementation won't return it because it has no set method. We've also overridden the XML import/export methods, though, so that set methods are not required.
      Specified by:
        `listAttributes` in interface `MetaDataObject`
      Overrides:
        `listAttributes` in class `MetaDataObject_impl`
      Returns:
        a List containing `NameClassPair` objects, each of which contains the name of a parameter and the Class of its value. For primitive types, the wrapper classes will be returned (e.g. `java.lang.Integer` instead of int).
      See Also:
        `MetaDataObject.listAttributes()`

    - #### buildFromXMLElement

          public void buildFromXMLElement(Element aElement,
                                          XMLParser aParser,
                                          XMLParser.ParsingOptions aOptions)
                                   throws InvalidXMLException

      Overridden becuase of settingsForGroups property, which is a Map and isn't handled by default XMLization routines.
      Specified by:
        `buildFromXMLElement` in interface `XMLizable`
      Overrides:
        `buildFromXMLElement` in class `MetaDataObject_impl`
      Parameters:
        `aElement` - the XML element that represents this object.
        `aParser` - a reference to the UIMA `XMLParser`. The `XMLParser.buildObject(Element)` method can be used to construct sub-objects.
        `aOptions` - option settings
      Throws:
        `InvalidXMLException` - if the input XML element does not specify a valid object
      See Also:
        `XMLizable.buildFromXMLElement(org.w3c.dom.Element, org.apache.uima.util.XMLParser)`

    - #### writePropertyAsElement

          protected void writePropertyAsElement(PropertyXmlInfo aPropInfo,
                                                String aNamespace)
                                         throws SAXException

      Overridden to write the settingsForGroups property, whose value is a Map, which is not supported by the default XMLization routines.
      Overrides:
        `writePropertyAsElement` in class `MetaDataObject_impl`
      Parameters:
        `aPropInfo` - information on how to represent the property in XML
        `aNamespace` - XML namespace URI for this object representation
      Throws:
        `SAXException` - -
      See Also:
        `MetaDataObject_impl.writePropertyAsElement(PropertyXmlInfo, String)`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.